> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Optimization Proposals



## OpenAPI

````yaml POST /api/v1/custom/org/{organization_uuid}/optimized_proposals/list/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/optimized_proposals/list/:
    post:
      tags:
        - api
      operationId: api_v1_custom_org_optimized_proposals_list_create
      parameters:
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListOptimizedProposalsRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ListOptimizedProposalsRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ListOptimizedProposalsRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOptimizedProposalListList'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    ListOptimizedProposalsRequest:
      type: object
      description: Request serializer for filtering optimized proposals.
      properties:
        status:
          nullable: true
          description: |-
            Filter by proposal status

            * `pending` - Pending
            * `completed` - Completed
            * `failed` - Failed
          oneOf:
            - $ref: '#/components/schemas/ClientOptimizedPortfolioStatus'
            - $ref: '#/components/schemas/NullEnum'
        client_external_id:
          type: string
          nullable: true
          description: Filter by client external ID
        created_after:
          type: string
          format: date-time
          nullable: true
          description: Filter proposals created after this date/time
        created_before:
          type: string
          format: date-time
          nullable: true
          description: Filter proposals created before this date/time
        min_average_drift:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,8})?$
          nullable: true
          description: Filter proposals by the average drift across all holdings.
        min_largest_drift:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,8})?$
          nullable: true
          description: Filter proposals by the largest drift across all holdings.
        min_turnover:
          type: string
          format: decimal
          pattern: ^-?\d{0,12}(?:\.\d{0,4})?$
          nullable: true
          description: Filter proposals by the proposal turnover
        min_tax_due:
          type: string
          format: decimal
          pattern: ^-?\d{0,12}(?:\.\d{0,4})?$
          nullable: true
          description: Filter proposals by the tax due
        min_buy_amount_usd:
          type: string
          format: decimal
          pattern: ^-?\d{0,12}(?:\.\d{0,4})?$
          nullable: true
          description: Filter proposals by the total buy trades in USD
        min_sell_amount_usd:
          type: string
          format: decimal
          pattern: ^-?\d{0,12}(?:\.\d{0,4})?$
          nullable: true
          description: Filter proposals by the total absolute sell amount in USD.
    PaginatedOptimizedProposalListList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/OptimizedProposalList'
    ClientOptimizedPortfolioStatus:
      enum:
        - pending
        - completed
        - failed
      type: string
      description: |-
        * `pending` - Pending
        * `completed` - Completed
        * `failed` - Failed
    NullEnum:
      enum:
        - null
    OptimizedProposalList:
      type: object
      description: Serializer for listing optimized proposals with essential information.
      properties:
        uuid:
          type: string
          format: uuid
          readOnly: true
        client_external_id:
          type: string
        client_uuid:
          type: string
          format: uuid
        status:
          type: string
        created:
          type: string
          format: date-time
          readOnly: true
        last_updated:
          type: string
          format: date-time
        failure_reason:
          type: string
          nullable: true
        average_drift:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,8})?$
          nullable: true
        max_drift:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,8})?$
          nullable: true
      required:
        - average_drift
        - client_external_id
        - client_uuid
        - created
        - last_updated
        - max_drift
        - status
        - uuid
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````